org.apache.lucene.benchmark.byTask.tasks

## Class SearchTravRetLoadFieldSelectorTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.ReadTask
    - - org.apache.lucene.benchmark.byTask.tasks.SearchTravTask
      - - org.apache.lucene.benchmark.byTask.tasks.SearchTravRetLoadFieldSelectorTask

All Implemented Interfaces:
  Cloneable

    public class SearchTravRetLoadFieldSelectorTask
    extends SearchTravTask

Search and Traverse and Retrieve docs task using a FieldVisitor loading only the requested fields.

Note: This task reuses the reader if it is already open. Otherwise a reader is opened at start and closed at the end.

Takes optional param: comma separated list of Fields to load.

Other side effects: counts additional 1 (record) for each traversed hit, and 1 more for each retrieved (non null) document.

### Field Summary

Fields
`protected Set<String>` `fieldsToLoad`

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.SearchTravTask

`traversalSize`

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`logStep, NEW_LINE, params, stopNow`

### Constructor Summary

Constructors
Constructor and Description
`SearchTravRetLoadFieldSelectorTask(PerfRunData runData)`

### Method Summary

Methods
`protected Document` `retrieveDoc(IndexReader ir, int id)`
`void` `setParams(String params)` Set the params of this task.
`boolean` `supportsParams()` Sub classes that support parameters must override this method to return true.
`boolean` `withRetrieve()` Return true if, with search & results traversing, docs should be retrieved.

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.SearchTravTask

`getQueryMaker, traversalSize, withSearch, withTraverse, withWarm`

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ReadTask

`createCollector, doLogic, getBenchmarkHighlighter, getFieldsToHighlight, getSort, numHits, numToHighlight, setup, withCollector, withMaxScore, withScore`

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setRunInBackground, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, tearDown, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### fieldsToLoad

    protected Set<String> fieldsToLoad

### Constructor Detail

#### SearchTravRetLoadFieldSelectorTask

    public SearchTravRetLoadFieldSelectorTask(PerfRunData runData)

### Method Detail

#### withRetrieve

    public boolean withRetrieve()

Description copied from class: `ReadTask`
Return true if, with search & results traversing, docs should be retrieved.

Overrides:
  `withRetrieve` in class `SearchTravTask`

#### retrieveDoc

    protected Document retrieveDoc(IndexReader ir,
                       int id)
                            throws IOException

Overrides:
  `retrieveDoc` in class `ReadTask`
Throws:
  `IOException`

#### setParams

    public void setParams(String params)

Description copied from class: `PerfTask`
Set the params of this task.

Overrides:
  `setParams` in class `SearchTravTask`

#### supportsParams

    public boolean supportsParams()

Description copied from class: `PerfTask`
Sub classes that support parameters must override this method to return true.

Overrides:
  `supportsParams` in class `SearchTravTask`
Returns:
  true iff this task supports command line params.